Attach volume to VM
curl --request POST \
--url https://api.rafftechnologies.com/api/v1/volumes/{id}/attach \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--header 'X-Project-ID: <x-project-id>' \
--data '
{
"vm_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.rafftechnologies.com/api/v1/volumes/{id}/attach"
payload = { "vm_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"X-Project-ID": "<x-project-id>",
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Project-ID': '<x-project-id>',
'X-API-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({vm_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://api.rafftechnologies.com/api/v1/volumes/{id}/attach', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": 123,
"name": "data-vol-1",
"volume_type": "nvme",
"size": 100,
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"product_vm": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"price_per_hour": "<string>",
"region": "us-east",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Volumes
Attach Volume
Attach a volume to a VM. The VM must be in the same region as the volume. A volume can only be attached to one VM at a time — detach it first if it’s already attached elsewhere.
Inside the guest, the volume appears as /dev/vdb, /dev/vdc, etc. (virtio-blk).
POST
/
api
/
v1
/
volumes
/
{id}
/
attach
Attach volume to VM
Updated May 8, 2026
Authorizations
API key for authentication. Each key is bound to a specific account.
Headers
Project ID. Required for all mutating operations (create, delete, power actions, resize).
Path Parameters
Volume ID
Body
application/json
UUID of the VM to attach this volume to. VM must be in the same region as the volume.
Last modified on May 8, 2026
⌘I